summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2022-04-11 19:48:51 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2022-04-11 19:48:51 +0800
commitc360ab02e91cccb0d962df4777e306e792039313 (patch)
tree89fe7073376a09ec4f293201ad98c7a91f771e20
parent70b68da32622ef6da6187af87bdb9c07cdbcbecc (diff)
deploy: add support for multiple devices on local side
Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rwxr-xr-xandroid-tools/hikey/hikey960-deploy.sh12
-rwxr-xr-xandroid-tools/x15/flash.sh13
-rw-r--r--host-tools/kernel.txt6
3 files changed, 31 insertions, 0 deletions
diff --git a/android-tools/hikey/hikey960-deploy.sh b/android-tools/hikey/hikey960-deploy.sh
index 8df8ffa..b373f91 100755
--- a/android-tools/hikey/hikey960-deploy.sh
+++ b/android-tools/hikey/hikey960-deploy.sh
@@ -1,5 +1,17 @@
#!/bin/bash
+num_fastboot_devices=$(fastboot devices|wc -l)
+if [ ${num_fastboot_devices} -eq 0 ]; then
+ echo "No fastboot devices available, please check and try again"
+ exit 1
+elif [ ${num_fastboot_devices} -ne 1 ] && [ -z "${ANDROID_SERIAL}" ]; then
+ # for local multiple devices support
+ export ANDROID_SERIAL="616A34F301931D53"
+elif [ ${num_fastboot_devices} -ne 1 ] && [ -z "${ANDROID_SERIAL}" ]; then
+ device_serial=$(fastboot devices|awk '{print $1}')
+ export ANDROID_SERIAL="${device_serial}"
+fi
+
product=$(fastboot getvar product 2>&1 |grep product|awk '{print $2}')
if [ "X${product}" != "Xhikey960" ]; then
echo "This is not a hikey960 board: ${product}"
diff --git a/android-tools/x15/flash.sh b/android-tools/x15/flash.sh
index 0b8a3b4..6d8b1de 100755
--- a/android-tools/x15/flash.sh
+++ b/android-tools/x15/flash.sh
@@ -2,6 +2,19 @@
# https://wiki-archive.linaro.org/Boards/BeagleBoard-X15
# https://linaro.atlassian.net/wiki/spaces/CTT/pages/25111140766/BeagleBoard+X15
+
+num_fastboot_devices=$(fastboot devices|wc -l)
+if [ ${num_fastboot_devices} -eq 0 ]; then
+ echo "No fastboot devices available, please check and try again"
+ exit 1
+elif [ ${num_fastboot_devices} -ne 1 ] && [ -z "${ANDROID_SERIAL}" ]; then
+ # for local multiple devices support
+ export ANDROID_SERIAL="0e005017394200e2"
+elif [ ${num_fastboot_devices} -ne 1 ] && [ -z "${ANDROID_SERIAL}" ]; then
+ device_serial=$(fastboot devices|awk '{print $1}')
+ export ANDROID_SERIAL="${device_serial}"
+fi
+
product=$(fastboot getvar product 2>&1 |grep product|awk '{print $2}')
if [ "X${product}" != "Xam57xx_evm_reva3" ]; then
echo "This is not a Beagleboard-X15 board: ${product}"
diff --git a/host-tools/kernel.txt b/host-tools/kernel.txt
new file mode 100644
index 0000000..75657d6
--- /dev/null
+++ b/host-tools/kernel.txt
@@ -0,0 +1,6 @@
+https://patchwork.kernel.org/ for patches
+https://patchwork.kernel.org/project/linux-arm-msm/list/
+https://patchwork.kernel.org/project/linux-omap/list/
+https://patchwork.kernel.org/project/linux-arm-kernel/list/
+https://lore.kernel.org/
+https://www.kernel.org/lore.html